# Storybook

## What is Storybook?

Storybook は UI 上で用いるコンポーネントの一覧（カタログ）を作成するツールです.  
コンポーネント単位でのスタイルの確認や props による表示の変化等を確認する際に便利です.  
Addon も豊富で, 用途や目的に合わせて Storybook に様々な機能を追加できます.

## Stories file

各コンポーネントの表示内容を指定するファイル.今回はあらかじめ記述済み.  
表示内容はコンポーネントごとの `**/*.stories.tsx` にて定義しているので, 実際の記述が気になる人はチェック.

## Run storybook

1. `yarn install` or `npm install`  
(初回セットアップをしていない場合)
2. `yarn storybook` or `npm run storybook`

#### NOTE

* ターミナル側で一度起動するとソースコードの変更に応じて, 自動的に再ビルドされます.  
ビルド後, Storybook を表示しているブラウザ側も自動的に更新されます.
  * ただし CSS のみの変更はフックされないので、変更した場合は手動でブラウザ側を更新してください.
  * ビルド時にビルドエラーが起きると, Storybook 側にもエラーが表示されます.  
  修正を行えば自動的に再ビルドされて自動更新されるため, Storybook 自体を再起動する必要はありません.
* 今回はポート番号を指定していないので, Storybook 起動ごとに異なるポート番号が指定されます.

## Features

当サンプルでの Storybook の機能を紹介します.

![./assets/sb01.png](./assets/sb01.png 'Main')

1. Shortcuts
  * メニューの表示非表示といった Storybook の操作とショートカットが表示されるメニュー
2. コンポーネント一覧
  * stories ファイルが存在するコンポーネントの一覧
  * クリックで表示するコンポーネントの切り替え
3. コンポーネント表示部
  * コンポーネントを表示するエリア
  * クリックやキー入力が効き, 特定のイベント発火を確認可能
4. Addon 表示部
  * Actions: console.log の結果やイベントの内容を出力
  * Knobs: props 等に渡す値を任意のものに変更
    * 例: Button に表示するテキストの変更, Label で表示する数値の変更 等